package com.house365.beans.vo;

import com.house365.beans.entity.CustomerCallbackLogEntity;
import com.house365.beans.system.DomainObject;
import com.house365.web.util.DateTimeUtils;

import java.util.Date;
import java.util.List;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2017/3/20</p>
 *
 * @author XN
 * @version 1.0
 */
public class CustomerListVO extends DomainObject {

    List<CustomerCallbackLogEntity> callbackLogEntities;

    private boolean hasCustomerProjects;

    private boolean hasNewCustomerProjects;

    private String star;

    private String labelId;

    private List<Object> lids;

    private String starUserId;

    private String name;

    private String phone;

    private Integer sex;

    private String actSource;

    private Integer status;

    private Integer traceStatus;

    private String buyIntention;

    private Integer managerId;

    private String managerName;

    private java.util.Date createTime;

    private java.util.Date lastVisitTime;

    private java.util.Date lastCallTime;

    private String createTimeStr;

    private Integer isWaitCall;

    private String latestSource;

    private Date bindTime;

    private String bakPhone1;

    private String singupTime;

    private String belongToday;
    private String belongYestoday;
    private String belongSince;

    // 倒计时（小时）
    private String countdownTime;

    private Integer isPeer;

    private Integer isPrivate;

    private Integer privateId;

    private Integer starCustomer;

    private String markedLabelId;

    private String platCustomerStatus;

    private String creater;

    private Integer createrId;

    private Integer hasReport;

    private String createSource;

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    public String getMarkedLabelId() {
        return markedLabelId;
    }

    public void setMarkedLabelId(String markedLabelId) {
        this.markedLabelId = markedLabelId;
    }

    public String getLabelId() {
        return labelId;
    }

    public void setLabelId(String labelId) {
        this.labelId = labelId;
    }

    public List<Object> getLids() {
        return lids;
    }

    public void setLids(List<Object> lids) {
        this.lids = lids;
    }

    public String getStarUserId() {
        return starUserId;
    }

    public void setStarUserId(String starUserId) {
        this.starUserId = starUserId;
    }

    public String getCountdownTime() {
        return countdownTime;
    }

    public void setCountdownTime(String countdownTime) {
        this.countdownTime = countdownTime;
    }

    public String getBelongToday() {
        return belongToday;
    }

    public void setBelongToday(String belongToday) {
        this.belongToday = belongToday;
    }

    public String getBelongYestoday() {
        return belongYestoday;
    }

    public void setBelongYestoday(String belongYestoday) {
        this.belongYestoday = belongYestoday;
    }

    public String getBelongSince() {
        return belongSince;
    }

    public void setBelongSince(String belongSince) {
        this.belongSince = belongSince;
    }

    public Integer getIsPrivate() {
        return isPrivate;
    }

    public void setIsPrivate(Integer isPrivate) {
        this.isPrivate = isPrivate;
    }

    public Integer getPrivateId() {
        return privateId;
    }

    public Integer getHasReport() {
        return hasReport;
    }

    public void setHasReport(Integer hasReport) {
        this.hasReport = hasReport;
    }

    public void setPrivateId(Integer privateId) {
        this.privateId = privateId;
    }

    public String getPlatCustomerStatus() {
        return platCustomerStatus;
    }

    public void setPlatCustomerStatus(String platCustomerStatus) {
        this.platCustomerStatus = platCustomerStatus;
    }

    public Integer getCreaterId() {
        return createrId;
    }

    public void setCreaterId(Integer createrId) {
        this.createrId = createrId;
    }

    public CustomerListVO(
            Integer id, String name, String phone, Integer sex, String actSource, Integer status, Date createTime,
            String buyIntention, Date lastVisitTime, Date lastCallTime, Integer managerId, String managerName,
            Integer traceStatus, String star, String starUserId, boolean hasCustomerProjects, boolean hasNewCustomerProjects, String belongToday, String belongYestoday, String belongSince,
            List<CustomerCallbackLogEntity> callbackLogEntities, List<Object> lids, Integer isWaitCall, String latestSource, Date bindTime,
            String bakPhone1, String singupTime, Integer isPrivate, Integer privateId, Integer starCustomer
    ) {
        super(id);
        this.name = name;
        this.phone = phone;
        this.sex = sex;
        this.actSource = actSource;
        this.status = status;
        this.createTime = createTime;
        this.buyIntention = buyIntention;
        this.lastVisitTime = lastVisitTime;
        this.lastCallTime = lastCallTime;
        this.managerId = managerId;
        this.managerName = managerName;
        this.createTimeStr = DateTimeUtils.getDateString(createTime, DateTimeUtils.DEFAULT_DATE_FORMAT_PATTERN_FULL);
        this.traceStatus = traceStatus;
        this.star = star;
        this.starUserId = starUserId;
        this.hasCustomerProjects = hasCustomerProjects;
        this.hasNewCustomerProjects = hasNewCustomerProjects;
        this.belongYestoday = belongYestoday;
        this.belongToday = belongToday;
        this.belongSince = belongSince;
        this.callbackLogEntities = callbackLogEntities;
        this.lids = lids;
        this.isWaitCall = isWaitCall;
        this.latestSource = latestSource;
        this.bindTime = bindTime;
        this.bakPhone1 = bakPhone1;
        this.singupTime = singupTime;
        this.isPrivate = isPrivate;
        this.privateId = privateId;
        this.starCustomer = starCustomer;
    }

    public CustomerListVO(
            Integer id, String name, String phone, Integer sex, String actSource, Integer status, Date createTime,
            String buyIntention, Date lastVisitTime, Date lastCallTime, Integer managerId, String managerName,
            Integer traceStatus, String star, String starUserId, boolean hasCustomerProjects, boolean hasNewCustomerProjects, String belongToday, String belongYestoday, String belongSince,
            List<CustomerCallbackLogEntity> callbackLogEntities, List<Object> lids, Integer isWaitCall, String latestSource, Date bindTime,
            String bakPhone1, String singupTime, String countdownTime, Integer isPeer, Integer isPrivate, Integer starCustomer,String markedLabelId,Integer hasReport,String createSource
    ) {
        super(id);
        this.name = name;
        this.phone = phone;
        this.sex = sex;
        this.actSource = actSource;
        this.status = status;
        this.createTime = createTime;
        this.buyIntention = buyIntention;
        this.lastVisitTime = lastVisitTime;
        this.lastCallTime = lastCallTime;
        this.managerId = managerId;
        this.managerName = managerName;
        this.createTimeStr = DateTimeUtils.getDateString(createTime, DateTimeUtils.DEFAULT_DATE_FORMAT_PATTERN_FULL);
        this.traceStatus = traceStatus;
        this.star = star;
        this.starUserId = starUserId;
        this.hasCustomerProjects = hasCustomerProjects;
        this.hasNewCustomerProjects = hasNewCustomerProjects;
        this.belongYestoday = belongYestoday;
        this.belongToday = belongToday;
        this.belongSince = belongSince;
        this.callbackLogEntities = callbackLogEntities;
        this.lids = lids;
        this.isWaitCall = isWaitCall;
        this.latestSource = latestSource;
        this.bindTime = bindTime;
        this.bakPhone1 = bakPhone1;
        this.singupTime = singupTime;
        this.countdownTime = countdownTime;
        this.isPeer = isPeer;
        this.isPrivate = isPrivate;
        this.starCustomer = starCustomer;
        this.markedLabelId = markedLabelId;
        this.hasReport = hasReport;
        this.createSource = createSource;
    }

    public CustomerListVO(
            Integer id, String name, String phone, Integer sex, String actSource, Integer status, Date createTime,
            String buyIntention, Date lastVisitTime, Date lastCallTime, Integer managerId, String managerName,
            Integer traceStatus, String star, String starUserId, boolean hasCustomerProjects, boolean hasNewCustomerProjects, String belongToday, String belongYestoday, String belongSince,
            List<CustomerCallbackLogEntity> callbackLogEntities, List<Object> lids, Integer isWaitCall, String latestSource, Date bindTime,
            String bakPhone1, String singupTime, String countdownTime, Integer isPeer, Integer isPrivate, Integer starCustomer,String markedLabelId,Integer hasReport,String createSource,String platCustomerStatus, String creater
    ) {
        super(id);
        this.name = name;
        this.phone = phone;
        this.sex = sex;
        this.actSource = actSource;
        this.status = status;
        this.createTime = createTime;
        this.buyIntention = buyIntention;
        this.lastVisitTime = lastVisitTime;
        this.lastCallTime = lastCallTime;
        this.managerId = managerId;
        this.managerName = managerName;
        this.createTimeStr = DateTimeUtils.getDateString(createTime, DateTimeUtils.DEFAULT_DATE_FORMAT_PATTERN_FULL);
        this.traceStatus = traceStatus;
        this.star = star;
        this.starUserId = starUserId;
        this.hasCustomerProjects = hasCustomerProjects;
        this.hasNewCustomerProjects = hasNewCustomerProjects;
        this.belongYestoday = belongYestoday;
        this.belongToday = belongToday;
        this.belongSince = belongSince;
        this.callbackLogEntities = callbackLogEntities;
        this.lids = lids;
        this.isWaitCall = isWaitCall;
        this.latestSource = latestSource;
        this.bindTime = bindTime;
        this.bakPhone1 = bakPhone1;
        this.singupTime = singupTime;
        this.countdownTime = countdownTime;
        this.isPeer = isPeer;
        this.isPrivate = isPrivate;
        this.starCustomer = starCustomer;
        this.markedLabelId = markedLabelId;
        this.hasReport = hasReport;
        this.createSource = createSource;
        this.platCustomerStatus = platCustomerStatus;
        this.creater = creater;
    }

    public String getSingupTime() {
        return singupTime;
    }

    public void setSingupTime(String singupTime) {
        this.singupTime = singupTime;
    }

    public String getBakPhone1() {
        return bakPhone1;
    }

    public void setBakPhone1(String bakPhone1) {
        this.bakPhone1 = bakPhone1;
    }

    public Date getBindTime() {
        return bindTime;
    }

    public void setBindTime(Date bindTime) {
        this.bindTime = bindTime;
    }

    public Integer getIsWaitCall() {
        return isWaitCall;
    }

    public void setIsWaitCall(Integer isWaitCall) {
        this.isWaitCall = isWaitCall;
    }

    public String getLatestSource() {
        return latestSource;
    }

    public void setLatestSource(String latestSource) {
        this.latestSource = latestSource;
    }

    public String getStar() {
        return star;
    }

    public void setStar(String star) {
        this.star = star;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getActSource() {
        return actSource;
    }

    public void setActSource(String actSource) {
        this.actSource = actSource;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getTraceStatus() {
        return traceStatus;
    }

    public void setTraceStatus(Integer traceStatus) {
        this.traceStatus = traceStatus;
    }

    public String getBuyIntention() {
        return buyIntention;
    }

    public void setBuyIntention(String buyIntention) {
        this.buyIntention = buyIntention;
    }

    public Integer getManagerId() {
        return managerId;
    }

    public void setManagerId(Integer managerId) {
        this.managerId = managerId;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getLastVisitTime() {
        return lastVisitTime;
    }

    public void setLastVisitTime(Date lastVisitTime) {
        this.lastVisitTime = lastVisitTime;
    }

    public Date getLastCallTime() {
        return lastCallTime;
    }

    public void setLastCallTime(Date lastCallTime) {
        this.lastCallTime = lastCallTime;
    }

    public String getCreateTimeStr() {
        return createTimeStr;
    }

    public void setCreateTimeStr(String createTimeStr) {
        this.createTimeStr = createTimeStr;
    }

    public boolean getHasCustomerProjects() {
        return hasCustomerProjects;
    }

    public void setHasCustomerProjects(boolean hasCustomerProjects) {
        this.hasCustomerProjects = hasCustomerProjects;
    }

    public boolean getHasNewCustomerProjects() {
        return hasNewCustomerProjects;
    }

    public void setHasNewCustomerProjects(boolean hasNewCustomerProjects) {
        this.hasNewCustomerProjects = hasNewCustomerProjects;
    }

    public List<CustomerCallbackLogEntity> getCallbackLogEntities() {
        return callbackLogEntities;
    }

    public void setCallbackLogEntities(List<CustomerCallbackLogEntity> callbackLogEntities) {
        this.callbackLogEntities = callbackLogEntities;
    }

    public Integer getIsPeer() {
        return isPeer;
    }

    public void setIsPeer(Integer isPeer) {
        this.isPeer = isPeer;
    }

    public Integer getStarCustomer() {
        return starCustomer;
    }

    public void setStarCustomer(Integer starCustomer) {
        this.starCustomer = starCustomer;
    }

    public String getCreateSource() {
        return createSource;
    }

    public void setCreateSource(String createSource) {
        this.createSource = createSource;
    }
}
